Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Error when compiling with gcc 4.7.2
#1
Hello, I'm compiling with gcc 4.7.2 on RHEL 6.4 and getting this error no matter what revision...what is the problem here?

[ 83%] Building CXX object plugins/zzogl-pg/opengl/CMakeFiles/zzogl-static.dir/GSmain.cpp.o
/home/user/Play/pcsx2-r5731/plugins/zzogl-pg/opengl/GSmain.cpp: In function ‘void GSsetGameCRC(int, int)’:
/home/user/Play/pcsx2-r5731/plugins/zzogl-pg/opengl/GSmain.cpp:190:32: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
/home/user/Play/pcsx2-r5731/plugins/zzogl-pg/opengl/GSmain.cpp: In function ‘void GSchangeSaveState(int, const char*)’:
/home/user/Play/pcsx2-r5731/plugins/zzogl-pg/opengl/GSmain.cpp:393:44: error: ‘access’ was not declared in this scope
/home/user/Play/pcsx2-r5731/plugins/zzogl-pg/opengl/GSmain.cpp: In function ‘void GSReplay(char*)’:
/home/user/Play/pcsx2-r5731/plugins/zzogl-pg/opengl/GSmain.cpp:749:10: error: ‘sleep’ was not declared in this scope
/home/user/Play/pcsx2-r5731/plugins/zzogl-pg/opengl/GSmain.cpp:770:29: warning: ordered comparison of pointer with integer zero [-Wextra]
/home/user/Play/pcsx2-r5731/plugins/zzogl-pg/opengl/GSmain.cpp:770:63: warning: comparison of unsigned expression < 0 is always false [-Wtype-limits]
make[2]: *** [plugins/zzogl-pg/opengl/CMakeFiles/zzogl-static.dir/GSmain.cpp.o] Error 1
make[1]: *** [plugins/zzogl-pg/opengl/CMakeFiles/zzogl-static.dir/all] Error 2
make: *** [all] Error 2
Reply

Sponsored links

#2
Did you make sure you have all the dependencies as noted on this page?

http://code.google.com/p/pcsx2/wiki/Comp...deForLinux

Also, are you using any special compiling parameters?
OS: Linux Mint 17.2 64 bit (occasional Antergos/Arch user)
(I am no longer a Windows user)
CPU: Intel Pentium G3258
GPU: Nvidia GTX 650 Ti



Reply
#3
Do you have libc6 dev package installed? i.e Do you have this file /usr/include/unistd.h ?
Reply
#4
(10-05-2013, 09:20 AM)gregory Wrote: Do you have libc6 dev package installed? i.e Do you have this file /usr/include/unistd.h ?

Yes, maybe my glibc-dev version (2.12) is too old?

And no, no special compiling parameters, I was compiling some older versions which I had all the dependencies set for.
Anyway I reinstalled my system, I'll try compiling it again over weekend.
Reply
#5
Hum, yes it is possible that your libc is too old.
Can you give the output of this command on your system
Quote:grep -r sleep /usr/include -w | grep extern
Reply
#6
(10-16-2013, 07:59 AM)gregory Wrote: Hum, yes it is possible that your libc is too old.
Can you give the output of this command on your system

$ grep -r sleep /usr/include -w | grep extern
/usr/include/unistd.h:extern unsigned int sleep (unsigned int __seconds);

Anyway I compiled it after commenting out zzogl-pg in plugins/CMakeLists.txt, I mean I don't need zzogl anyway since Gsdx somehow works.

Also, last revision I could compile is 5666, since from 5667 you made libEGl requirement (in other words I get fatal error: EGL/egl.h: No such file or directory). Problem is there's no libEGL 9.* package for RHEL (unless I compile it myself), is there any way around it, I mean to compile recent version without libEGL?
Reply
#7
Seriously you didn't have mesa build with EGL (neither opengl ES)?
Reply
#8
(10-20-2013, 12:16 PM)gregory Wrote: Seriously you didn't have mesa build with EGL (neither opengl ES)?

Nope, there are no 9.* packages for mesa-libEGL or mesa-libGLES for RHEL, there are 8.0.5 packages but I'd messed up my system if I had to return to previous version.
Reply
#9
Is it possible for you to install egl mesa 8 in parallal of the standard mesa 9? Otherwise, just get EGL/egl.h and EGL/eglext.h copy them into GSdx (i.e. plugins/GSdx/EGL/egl.h). It might also need /usr/lib/libEGL.so* files, in this case you can try to put the file into /usr/local/lib.

EGL is only a 2nd path for GSdx, it will try first GLX. But I really don't have time to remove it at build time (specially when egl will become mandatory for wayland or mir next year)
Reply
#10
(10-20-2013, 04:26 PM)gregory Wrote: Otherwise, just get EGL/egl.h and EGL/eglext.h copy them into GSdx (i.e. plugins/GSdx/EGL/egl.h). It might also need /usr/lib/libEGL.so* files, in this case you can try to put the file into /usr/local/lib.

Ok, I might try that next time, thanks.
Reply




Users browsing this thread: 1 Guest(s)